/*
 * Copyright (c) 2006 Pepper Computer, Inc. All Rights Reserved.
 * PEPPER PROPRIETARY/CONFIDENTIAL.  Use is subject to license terms.
 */

package org.mozdev.xulmine;

import com.pepper.platform.program.AbstractPepperProgram;
import com.pepper.platform.program.ActionEventWithParams;
import com.pepper.platform.program.PepperProgramConfig;
import com.pepper.platform.program.PepperProgramException;
import com.pepper.platform.program.actions.ProgramAbstractAction;

/**
 * Base class template for Pepper SDK
 */
public class XULMine extends AbstractPepperProgram {
    
    /**
     * Constructor
     */
    public XULMine(Integer pid) {
        super(pid);
    }
    
    /**
     * First pass config to the superclass with super.init(config)
     * and then perform any required initializations, such 
     * as registering Actions.
     */
    public void init(PepperProgramConfig config)
                throws PepperProgramException {
        super.init(config);
        
    }
}
